Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.kmehrcommons.builders
Class HcPartyBuilder

    java.lang.Object
      be.ehealth.business.kmehrcommons.builders.HcPartyBuilder

All Implemented Interfaces:
  ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class HcPartyBuilder

extends Object
implements ConfigurationModuleBootstrap.ModuleBootstrapHook

builder object for HcPartyType. This class should be extended if newer ids are needed

Constructor Summary
`HcPartyBuilder()`

Method Summary
`HcPartyBuilder` | `address(String addressCdValue, CDADDRESSschemes addressCdSchemes, String addressCdSv, String city, String district, String houseNumber, String nis, String postBox, String street, String zip, String countryValue, CDCOUNTRYschemes countrySchemes, String countrySv)` sets the address for a person.
`void` | `bootstrap()`
`HcpartyType` | `build()` Return the result of all previous operations
`HcPartyBuilder` | `cd(String sv, String value, CDHCPARTYschemes scheme)`
`HcPartyBuilder` | `cd(String sv, String value, CDHCPARTYschemes scheme, String sl)`
`HcPartyBuilder` | `cdHcPartyCd(String value, String sv)` add a cdHcPartyCd
`HcPartyBuilder` | `firstname(String firstname)` sets the first name for a person.
`HcPartyBuilder` | `id(String sv, String value)` add an IDHCPARTY id with sv and value.
`HcPartyBuilder` | `id(String sv, String value, IDHCPARTYschemes scheme)`
`HcPartyBuilder` | `id(String sv, String value, IDHCPARTYschemes scheme, String sl)`
`HcPartyBuilder` | `idFromSessionNihii(String sv)` add an inss id
`HcPartyBuilder` | `idFromSessionNiss(String sv)` add an inss id
`HcPartyBuilder` | `idHcPartyId(String value, String sv)` Add an HcParty Id
`HcPartyBuilder` | `inssId(String value, String sv)` generate an inss id with the value from the session
`HcPartyBuilder` | `lastname(String lastName)` sets the last name for a person.
`HcPartyBuilder` | `localCd(String value, String sv, String sl)` Add a local cd
`HcPartyBuilder` | `localId(String value, String sv, String sl)` Add a local id
`HcPartyBuilder` | `name(String name)` add a name to the hcparty
`HcPartyBuilder` | `setCdhcpartyCd(String value)` Deprecated. use cdHcPartyCd
`HcPartyBuilder` | `setFirstName(String firstname)` Deprecated. use firstname
`HcPartyBuilder` | `setIdhcpartyId(String value)` Deprecated. use idHcPartyId
`HcPartyBuilder` | `setInssId(String value)` Deprecated. use inssId
`HcPartyBuilder` | `setLastName(String lastName)` Deprecated. use lastname
`HcPartyBuilder` | `setLocalCd(String type, String value)` Deprecated. replaced by localCd
`HcPartyBuilder` | `setLocalId(String type, String value)` Deprecated. use localId
`HcPartyBuilder` | `setName(String name)` Deprecated. use name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HcPartyBuilder

    public HcPartyBuilder()

Method Detail

### build

    public HcpartyType build()
                      throws TechnicalConnectorException

  Return the result of all previous operations

  Returns:
  Throws:
    `TechnicalConnectorException`

### id

    public HcPartyBuilder id(String sv,
                             String value)

  add an IDHCPARTY id with sv and value.

  Parameters:
    `sv` - String svNumber
    `value` - String value
  Returns:
    `HcPartyBuilder` ( builder pattern )

### id

    public HcPartyBuilder id(String sv,
                             String value,
                             IDHCPARTYschemes scheme,
                             String sl)

  Parameters:
    `sv` - String svNumber
    `value` - String value
    `scheme` - `IDHCPARTYschemes` scheme
    `sl` - String SL
  Returns:
    `HcPartyBuilder` ( builder pattern )

### id

    public HcPartyBuilder id(String sv,
                             String value,
                             IDHCPARTYschemes scheme)

  Parameters:
    `sv` - String svNumber
    `value` - String value
    `scheme` - `IDHCPARTYschemes` scheme
  Returns:
    `HcPartyBuilder` ( builder pattern )

### cd

    public HcPartyBuilder cd(String sv,
                             String value,
                             CDHCPARTYschemes scheme)

  Parameters:
    `sv` - String svNumber
    `value` - String value
    `scheme` - `CDHCPARTYschemes` scheme
  Returns:
    `HcPartyBuilder` ( builder pattern )

### cd

    public HcPartyBuilder cd(String sv,
                             String value,
                             CDHCPARTYschemes scheme,
                             String sl)

  Parameters:
    `sv` - String svNumber
    `value` - String value
    `scheme` - `CDHCPARTYschemes` scheme
  Returns:
    `HcPartyBuilder` ( builder pattern )

### idHcPartyId

    public HcPartyBuilder idHcPartyId(String value,
                                      String sv)

  Add an HcParty Id

  Parameters:
    `value` -
    `sv` -
  Returns:

### localId

    public HcPartyBuilder localId(String value,
                                  String sv,
                                  String sl)

  Add a local id

  Parameters:
    `value` -
    `sv` -
    `sl` -
  Returns:

### idFromSessionNiss

    public HcPartyBuilder idFromSessionNiss(String sv)
                                     throws TechnicalConnectorException

  add an inss id

  Parameters:
    `value` -
    `sv` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### idFromSessionNihii

    public HcPartyBuilder idFromSessionNihii(String sv)
                                      throws TechnicalConnectorException

  add an inss id

  Parameters:
    `value` -
    `sv` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### inssId

    public HcPartyBuilder inssId(String value,
                                 String sv)

  generate an inss id with the value from the session

  Parameters:
    `value` -
    `sv` -
  Returns:

### localCd

    public HcPartyBuilder localCd(String value,
                                  String sv,
                                  String sl)

  Add a local cd

  Parameters:
    `value` -
    `sv` -
    `sl` -
  Returns:

### cdHcPartyCd

    public HcPartyBuilder cdHcPartyCd(String value,
                                      String sv)

  add a cdHcPartyCd

  Parameters:
    `value` -
    `sv` -
  Returns:

### name

    public HcPartyBuilder name(String name)

  add a name to the hcparty

  Parameters:
    `name` -
  Returns:
    `HcPartyBuilder` ( builder pattern )

### firstname

    public HcPartyBuilder firstname(String firstname)

  sets the first name for a person.

  Parameters:
    `firstname` -
  Returns:
    `HcPartyBuilder` ( builder pattern )

### lastname

    public HcPartyBuilder lastname(String lastName)

  sets the last name for a person.

  Parameters:
    `lastName` - the lastName
  Returns:
    `HcPartyBuilder` ( builder pattern )

### address

    public HcPartyBuilder address(String addressCdValue,
                                  CDADDRESSschemes addressCdSchemes,
                                  String addressCdSv,
                                  String city,
                                  String district,
                                  String houseNumber,
                                  String nis,
                                  String postBox,
                                  String street,
                                  String zip,
                                  String countryValue,
                                  CDCOUNTRYschemes countrySchemes,
                                  String countrySv)

  sets the address for a person.

  Parameters:
    `address` - the address
  Returns:
    `HcPartyBuilder` ( builder pattern )

### setLocalCd

    @Deprecated
    public HcPartyBuilder setLocalCd(String type,
                                                String value)

  Deprecated. replaced by localCd

### setIdhcpartyId

    @Deprecated
    public HcPartyBuilder setIdhcpartyId(String value)

  Deprecated. use idHcPartyId

### setLocalId

    @Deprecated
    public HcPartyBuilder setLocalId(String type,
                                                String value)

  Deprecated. use localId

### setInssId

    @Deprecated
    public HcPartyBuilder setInssId(String value)

  Deprecated. use inssId

### setCdhcpartyCd

    @Deprecated
    public HcPartyBuilder setCdhcpartyCd(String value)

  Deprecated. use cdHcPartyCd

### setName

    @Deprecated
    public HcPartyBuilder setName(String name)

  Deprecated. use name

### setFirstName

    @Deprecated
    public HcPartyBuilder setFirstName(String firstname)

  Deprecated. use firstname

### setLastName

    @Deprecated
    public HcPartyBuilder setLastName(String lastName)

  Deprecated. use lastname

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.